#!/usr/bin/perl -w

################################################################################
# Name:        AddUser.pl
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Adds a new user account in the database
# Copyright:   GPL
################################################################################
push(@INC,".." );
require "adminDB.pm" ;
use CGI;

$JAVASCRIPT=<<END_OF_JAVASCRIPT;
function InsertDir() {
         var Form = document.AdminPublisher ;
         Form.action+='/Submit' ;
         Form.submit();
}
END_OF_JAVASCRIPT


$Query = new CGI ;
print $Query->header(-expires=>'+1h');
print $Query->start_html(-title=>'Publisher Administration',
                         -author=>'rv33100@glaxowellcome.co.uk',
                         -script=>$JAVASCRIPT
                        );
print $Query->start_multipart_form(-name=>'AdminPublisher'
                                   );
if ( $Query->path_info() =~ "Submit"  ) {
   $Directory = $Query->param('NewDir') ;
   &try_to_insert($Directory) ;
}

print "Directory         : " ;
print $Query->br() ;
print $Query->textfield(-name=>'NewDir',
                        -override=>1,
                        -size=>50,
                        -maxlenght=>200
                       );
print "<CENTER>" ;
print $Query->button(-name=>'Insert',
                     -value=>'Insert New Directory',
                     -onClick=>'InsertDir();'
                    );
print $Query->button(-name=>'Return',
                     -value=>'Return',
                     -onClick=>'window.close();'
                    );
print "</CENTER>" ;

print $Query->endform();
print $Query->end_html();

$writable = "yes" ;
&open_databases($writable);
&close_databases();


sub try_to_insert {
    my ($Dir) = @_ ;
    my $writable = "yes" ;
    &open_databases($writable);
    &addDir($Dir) ;
    &close_databases();
    &UpdateParentForm($Dir);
}

sub UpdateParentForm {
    my $Dir = shift ;
    print <<END_OF_JAVASCRIPT;
    <SCRIPT LANGUAGE='JavaScript'>
             var Parent = window.opener ;
             var Type = "Area" ;
             var Date = "never" ;
             var UserId = "nobody" ;
             var NewDir = "$Dir" ;
             var MSG = "Area: " + NewDir + " added " ;
             alert(MSG) ;
             Parent.addInode(NewDir,Type,Date,UserId) ;
    </SCRIPT>
END_OF_JAVASCRIPT
}
