#!/usr/bin/perl -w 
################################################################################
# Name:        DelUser.cgi
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Adds a new user account in the database
# Copyright:   GPL
################################################################################

push(@INC,".." );
require "adminDB.pm" ;
use CGI;

select(STDOUT); $| = 1 ; # Just to unbuffer the output
$Query = new CGI ;
print $Query->header(-expires=>'+1h');
print $Query->start_html(-title=>'Publisher Administration',
                         -author=>'rv33100@glaxowellcome.co.uk',
                         -onLoad=>'InitForm();',
                         -script=>$JAVASCRIPT
                        );
print $Query->start_multipart_form(-name=>'AdminPublisher'
                                   );

$UserId = $Query->param('User') ;
print "<H2> Updating DataBase </H2>" ;
DeleteUser($UserId) ;
print $Query->endform();
print $Query->end_html();




sub DeleteUser {
    my $UserId = shift ;
    
    $writable = "yes" ;
    &open_databases($writable);
    
    &delUser($UserId) ;
    &delPermission($UserId) ;
    &close_databases();
    &UpdateUserForm(); 
}

sub JSPrompt {
    my ( $Message ) = @_ ;
    print <<END_OF_JAVASCRIPT;
    <SCRIPT LANGUAGE='JavaScript'>
    alert("$Message") ;
    </SCRIPT>
END_OF_JAVASCRIPT
}

sub UpdateUserForm {
    print <<END_OF_JAVASCRIPT;
    <SCRIPT LANGUAGE='JavaScript'>
             var Parent = window.opener ;
             Parent.delselectedUser();
             window.close();
    </SCRIPT>
END_OF_JAVASCRIPT
}
